---
title: 'Services'
date: 2024-07-28
menu: 
  main:
    name: "Services"
    weight: 300
url: /s/services
---

## Network 

{{< image width="15em" float="right" src="/assets/dwdm.png" alt="DWDM spectrum" >}}

Our network consists of routers and interconnections in two main sites in the Zurich metro: eShelter
(NTT) in Ruemlang (next to the airport), and Interxion ZUR1 in Glattbrugg. These two locations are
connected with dark fiber, and we have access to several local loop providers in both locations. For
example, we can arrange connectivity to Colozueri, Equinix ZH4 and Equinix ZH5 directly, and using
our partners (such as IP-Max, Init7, Openfactory), domestically and to most european cities.

You can read more about our network in this [[informative post]({{< ref "2021-02-27-network" >}})].

### IP Transit

We operate [[AS8298](https://as8298.peeringdb.com/)] which announces `AS-IPNG` for ourselves and our
transit customers. We're pretty firmly connected in and around Zurich, with a 10Gbit link to
SwissIX, CommunityIX and CH-IX. We have a diverse set of transit providers which give us good reach
to the world, including via Cogent AS174, Hurricane Electric AS6939, and for strong european
presence, we receive transit from OpenFactory AS58299, Meerfarbig AS34549, and IP-Max AS25091.

Gaining access to this wealth of IPv4 and IPv6 coverage is as easy as finding an L2 connection to
one of our points of presence, establishing a BGP session to us, and announcing your netblock(s).
We'll take it from there!

You can read more about our BGP capabilities in this [[informative post]({{< ref
"2021-02-27-network" >}})].

### Local Loop Ethernet

Apropos, getting onto the internet is pretty easy if you are in a commercial colocation facility. Of
course, any internet provider will offer various quality IPv4 and IPv6 connections with or without a
static IP address. However getting from your house to the datacenter is often the most complicated
and expensive project. At IPng, we had this challenge too -- and considering we solved it for
ourselves, we can certainly also solve it for you! With our residential last-mile ISP collaboration
(for example, ConnectionPoint, Init7, Solnet, and Swisscom BBCS), L2 services directly to your
residence or office become easily possible.

## Colocation

We operate a private colocation facility in Zurich Albisrieden. The facility has 3x200A of power and
about 60m2 of floor space. Hosting one or several machines, including Layer2 connectivity either to
your own home, or to the main internet hubs of Zurich, are easily accomplished in our colocation
facility. If more space is needed, we are regulars in most all Swiss carrier housing facilities, and
can help broker a deal that is tailored to your needs.

You can read more about how we built our own colocation from scratch in this [[informative post](
{{< ref "2022-02-24-colo" >}})].

## Project Design / Execution

{{< image width="15em" float="right" src="/assets/pdu19.png" alt="19 inch PDU" >}}

We design things, both logical and physical. Be it two dimensional or three dimensional, as life
long tinkerers, we have a fair bit of experience in mechanical and electrical engineering. Of
course, as a network business, designing and deploying autonomous systems and networks of any size
is our home turf. Also fundamentally understanding how a network should perform, be it throughput,
bandwidth, latency or jitter and packet loss: we've seen it all, from ADSL lines to 300km DWDM
spans.

For some good examples, take a look at these case studies:
* [Fiber7 on LiteXchange]({{< ref "2016-10-07-fiber7-litexchange" >}})
* [SixXS Sunset]({{< ref "2017-03-01-sixxs-sunset" >}})
* [Coloclue Loadtesting]({{< ref "2021-02-27-coloclue-loadtest" >}})
* [Debian on Mellanox SN2700]({{< ref "2023-11-11-mellanox-sn2700" >}})

There's many more papers and opinion pieces in our [[Articles]({{< ref "articles" >}})] section.

